﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using Docs.Excel.Converting;

namespace RangeSettings
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read excel file.
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelRange.xlsx");
            ExcelToHtml converter = new ExcelToHtml(wbook);
            converter.Worksheets[0].ShowGrid = true;

            // Set index of first displayed row.
            converter.Worksheets[0].StartRow = 2;

            // Set index of last displayed row.
            converter.Worksheets[0].EndRow = 4;

            // Set index of first displayed column.
            converter.Worksheets[0].StartColumn = 1;

            // Set index of last displayed column.
            converter.Worksheets[0].EndColumn = 2;

            //Save specified worksheet to HTML file. 
            string html_file = @"..\..\..\ExcelToHtml.html";
            converter.Worksheets[0].SaveHTML(html_file);

            //Open specified file.
            System.Diagnostics.Process.Start(html_file);
        }
    }
}
